Skip to main content
PATCH
/
ai-overviews
/
prompts
/
{id}
Update a prompt
curl --request PATCH \
  --url https://api.beeze.io/v1/ai-overviews/prompts/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "promptText": "<string>",
  "location": "<string>",
  "status": "active",
  "tags": [
    "<string>"
  ]
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "promptText": "<string>",
    "project": "<string>",
    "status": "active",
    "tags": [
      "<string>"
    ],
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "location": "<string>",
    "metrics": {
      "visibility": 123,
      "position": 123,
      "volume": 123,
      "sentiment": 123,
      "sentimentLabel": "positive"
    }
  }
}

Authorizations

x-api-key
string
header
required

API key for external Beeze API access

Path Parameters

id
string<uuid>
required

Body

application/json
promptText
string
Required string length: 3 - 1000
location
string | null
status
enum<string>
Available options:
active,
inactive,
suggested
tags
string[]

Response

Prompt updated

data
object
required